DVT VHDL IDE User Guide
Rev. 22.1.15, 18 May 2022

35.54 I get errors while installing or updating a plugin from an update site

  • Unable to read repository at ... sun.security.validator.ValidatorException: PKIX path building failed

  • SSL Handshake: invalid SSL session

Most probable causes for the above errors are:

  • Outdated certificate authority truststore in the Java Runtime Environment (JRE). In this case the easiest fix is to download a newer DVT distro containing an up to date JRE.

  • Proxy or firewall filtering / altering secure connections. In this case you can ask your CAD/IT team if any filtering is taking place or you can try to download a zipped update site and install the plugin from that archive.